Disk ARchive: libdar::elastic Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::elastic Class Reference
Private

the elastic buffer class More...

`#include <elastic.hpp>`

## Public Member Functions
| elastic (U_32 size)
| elastic (const unsigned char *buffer, U_32 size, elastic_direction dir, const archive_version &reading_ver)
| elastic (generic_file &f, elastic_direction dir, const archive_version &reading_ver)
| elastic (const elastic &ref)=default
| elastic (elastic &&ref) noexcept=default
elastic & | operator= (const elastic &ref)=default
elastic & | operator= (elastic &&ref) noexcept=default
U_32 | dump (unsigned char *buffer, U_32 size) const
U_32 | get_size () const

## Static Public Member Functions
static U_I | max_length ()

## Private Member Functions
void | randomize (unsigned char *a) const
U_I | base_from_version (const archive_version &reading_ver) const
unsigned char | get_low_mark (const archive_version &reading_ver) const
unsigned char | get_high_mark (const archive_version &reading_ver) const
unsigned char | get_low_mark () const
unsigned char | get_high_mark () const

## Private Attributes
U_32 | taille

## Detailed Description

the elastic buffer class

the elastic class makes possible to insert arbritrary bytes beside information bytes, and to retreive later without any other knowledge which bytes are information and which byte are from the elastic buffer. The main purpose is for strong encryption

Definition at line 51 of file elastic.hpp.

## Member Function Documentation

## ◆ get_high_mark()

unsigned char libdar::elastic::get_high_mark | ( |  | ) | const
| inlineprivate

Definition at line 76 of file elastic.hpp.

## ◆ get_low_mark()

unsigned char libdar::elastic::get_low_mark | ( |  | ) | const
| inlineprivate

Definition at line 75 of file elastic.hpp.

## ◆ get_size()

U_32 libdar::elastic::get_size | ( |  | ) | const
| inline

Definition at line 64 of file elastic.hpp.

## ◆ max_length()

U_I libdar::elastic::max_length | ( |  | ) |
| inlinestatic

Definition at line 66 of file elastic.hpp.

## Member Data Documentation

## ◆ taille

U_32 libdar::elastic::taille
| private

Definition at line 69 of file elastic.hpp.

The documentation for this class was generated from the following file:

- elastic.hpp